public class TestMyArrayList {
  public static void main(String[] args) {
    // Tworzenie listy
    MyList<String> list = new MyArrayList<>();

    // Dodawanie elementów do listy
    list.add("Ameryka"); // Dodawanie do listy
    System.out.println("(1) " + list);

    list.add(0, "Kanada"); // Dodawanie na początku listy
    System.out.println("(2) " + list);

    list.add("Rosja"); // Dodawanie na końcu listy
    System.out.println("(3) " + list);

    list.add("Francja"); // Dodawanie na końcu listy
    System.out.println("(4) " + list);

    list.add(2, "Niemcy"); // Dodawanie do listy na pozycji indeksu 2
    System.out.println("(5) " + list);

    list.add(5, "Norwegia"); // Dodawanie do listy na pozycji indeksu 5
    System.out.println("(6) " + list);

    // Usuwanie elementów z listy
    list.remove("Kanada"); // Tu oznacza to samo co list.remove(0)
    System.out.println("(7) " + list);

    list.remove(2); // Usuwanie elementu o indeksie 2
    System.out.println("(8) " + list);

    list.remove(list.size() − 1); // Usuwanie ostatniego elementu
    System.out.print("(9) " + list + "\n(10) ");

    for (String s: list)
      System.out.print(s.toUpperCase() + " ");
  }
}
